$1  PROCEDURE [dbo].[FastSell_v2_BarkodBilgileri]
	@lastup_date datetime,
	@depono int
AS
BEGIN
	Select
		NEWID() [GuidNo],
		bar_RECno [TempID],
		bar_create_date [create_date],
		bar_create_user [create_user],
		sto_lastup_date [lastup_date],
		sto_lastup_user [lastup_user],
		bar_kodu [barkodu],
		bar_stokkodu [stokkodu],
		@depono [depono],
		bar_partikodu [parti_kodu],
		bar_lotno [lot_no],
		bar_icerigi [tip],--gecici olarak boyle duracak
		bar_barkodtipi [icerik],--gecici olarak boyle duracak
		bar_baglantitipi [baglanti],
		(Case	When bar_birimpntr = 1 Then sto_birim1_ad 
				When bar_birimpntr = 2 Then sto_birim2_ad
				When bar_birimpntr = 3 Then sto_birim3_ad
				When bar_birimpntr = 4 Then sto_birim4_ad
				Else sto_birim1_ad End
		) [birim_ad],
		bar_birimpntr [birim_pntr],
		0 [birim_agirlik],
					(Case	When bar_birimpntr = 1 Then sto_birim1_katsayi 
					When bar_birimpntr = 2 Then sto_birim2_katsayi
					When bar_birimpntr = 3 Then sto_birim3_katsayi
					When bar_birimpntr = 4 Then sto_birim4_katsayi
					Else sto_birim1_ad End
			)*-1 [birim_katsayi],
		dbo.fn_StokSatisFiyati(bar_stokkodu,1,@depono) [birim_fiyat1],
		dbo.fn_StokSatisFiyati(bar_stokkodu,2,@depono) [birim_fiyat2],
		dbo.fn_StokSatisFiyati(bar_stokkodu,3,@depono) [birim_fiyat3],
		dbo.fn_StokSatisFiyati(bar_stokkodu,4,@depono) [birim_fiyat4],
		dbo.fn_StokSatisFiyati(bar_stokkodu,5,@depono) [birim_fiyat5]
	From
		BARKOD_TANIMLARI WITH(NOLOCK)
	Left Join
		STOKLAR WITH(NOLOCK) on sto_kod = bar_stokkodu
	WHERE
		(sto_lastup_date >= @lastup_date) AND 
		(sto_kod is not null)
	Order by 
		bar_RECno
END

